1. Webhook Definitions
Public API
  • Get Started
  • Payments
    • Create payment
      POST
    • List payments
      GET
    • Get payment by ID
      GET
  • Webhooks
    • Integration Guide
    • Webhook Definitions
      • Payment Created
      • Payment Completed
      • Payment Expired
  1. Webhook Definitions

Payment Created

Webhook
POST
payment.created
Fired when a new payment is created and is waiting to be paid.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
Receipt acknowledged. Return any 2xx status to confirm delivery.
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'X-Woldy-Signature: MEUCIQD3v...' \
--header 'X-Woldy-Signature-Version: ed25519-v1' \
--header 'X-Woldy-Event-ID: 550e8400-e29b-41d4-a716-446655440000' \
--header 'X-Woldy-Event-Type: payment.created' \
--header 'X-Woldy-Timestamp: 1737720000' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": "wev_VQ6EA4np...",
    "branch_id": "cb_VQ6EA4np...",
    "webhook_id": "wh_VQ6EA4np...",
    "type": "payment.created",
    "api_version": "2026-01-01",
    "created_at": 1737720000,
    "data": {
        "id": "p_VQ6EA4np...",
        "amount": "100.50",
        "status": "PENDING",
        "currency": "USDC"
    }
}'
Modified at 2026-03-18 07:51:55
Previous
Integration Guide
Next
Payment Completed
Built with